<!--
  @description: 运维-招标文件审核页面
  @Modifier: 肖文龙
  @routerPath:
  @date: 2020/1/13-10:33
-->
<template>
  <div>
    <!--招标文件详情组件-->
    <tenderDocInfoDetail />
    <!--操作按鈕 auditStatus 00待审核-->
    <div v-if="$route.query.auditStatus === '00'" class="but_footer">
      <div class="p0-16">
        <div class="page-title">
          审核意见
        </div>
        <el-form ref="auditInfoParam" :model="auditInfoParam">
          <el-form-item ref="auditReason" prop="auditReason">
            <el-input
              v-model="auditInfoParam.auditReason"
              :rows="4"
              type="textarea"
              placeholder="请填写审核意见"
              maxlength="200"
              show-word-limit
            />
          </el-form-item>
        </el-form>
      </div>
      <div class="but_footer-h">
        <div class="but_footer-but">
          <el-button :loading="confirmLoading" type="primary" @click="verified()">
            审核通过
          </el-button>
          <el-button :loading="confirmLoading" @click="auditFail()">
            审核不通过
          </el-button>
          <el-button @click="back()">
            返 回
          </el-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { auditTenderDoc } from '@/api/bidding/tenderDoc'
/* 组件*/
import tenderDocInfoDetail from './../tenderProcfile/tenderDocInfo-detail'// 招标文件/资审文件查看
export default {
  name: 'TenderDocFileAuditDetail',
  components: {
    tenderDocInfoDetail
  },

  data() {
    return {
      confirmLoading: false, // 控制按钮重复点击Loding
      backType: this.$route.query.backType,
      // 审核信息参数
      auditInfoParam: {
        auditStatus: '', // 01-审核通过 ||02-审核不通过
        auditReason: '', // 审核意见
        procfileId: this.$route.query.procfileId// 文件Id
      }
    }
  },
  methods: {
    // 返回
    back() {
      if (this.backType === '03') { // 资审公告
        this.$router.push({
          path: '/projectManagement/tenderInformationDocFileAudit'
        })
      } else {
        this.$router.push({
          path: '/projectManagement/tenderDocFileAudit'
        })
      }
    },
    // 操作审核通过不通过调用接口
    handleAuditBulletin(auditStatus) {
      this.auditInfoParam.auditStatus = auditStatus
      this.confirmLoading = true// btnLoding
      auditTenderDoc(this.auditInfoParam).then(reponse => {
        this.$message({
          type: 'success',
          message: '审核成功'
        })
        this.back()
        this.confirmLoading = false// btnLoding
      }).catch(() => {
        this.confirmLoading = false// btnLoding
      })
    },
    // 审核通过
    verified() {
      this.$confirm('确认提交?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        confirmButtonClass: 'confirmBtn',
        cancelButtonClass: 'cancelBtn',
        type: 'warning'
      }).then(() => {
        this.handleAuditBulletin('01')
      }).catch(() => {
      })
    },
    // 审核不通过
    auditFail() {
      if (this.auditInfoParam.auditReason) {
        this.$confirm('确认提交?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          confirmButtonClass: 'confirmBtn',
          cancelButtonClass: 'cancelBtn',
          type: 'warning'
        }).then(() => {
          this.handleAuditBulletin('02')
        }).catch(() => {
        })
      } else {
        this.$message({
          type: 'warning',
          message: '请输入审核意见'
        })
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
